# lxd-deploy playbook

## Introduction

Playbook to deploy an LXD Container or VM as a new network host.

This playbook will first deploy a new LXD Container or VM. It will then use
the lxd connection plugin to first do an initial network configuration on
the host, and will then make sure openssh-server is installed and that the
root user has a set of management ssh keys in its 'authorized_keys' file.

It will run through a number of roles to do package and user configuration,
before finishing up with custom configurations for the specific target host.

This playbook can be run using the following command line;

    ansible-playbook -i <inventory file | IP,> lxd-deploy.yml 

    ie,
    ansible-playbook -i 192.168.1.123,  lxd-deploy.yml

